<?xml version='1.0' standalone='no'?>
<!DOCTYPE xsl:stylesheet [ <!ENTITY nbsp '&#160;'> ]>
<xsl:stylesheet
 version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:gjs="http://www.georgejames.com">


  <xsl:include href='gjsControls.xsl'/>
  
  
	<xsl:template match="Form">

<html>
  <head>
		
	  <!-- Load jQuery -->
	  <script src='jquery.min.js'></script>
	  <script src='jQuerySugar.js'></script>
		
	  <!-- Load jQuery UI for the datepicker-->
	  <script src='jquery-ui.min.js'></script>
    <link rel='stylesheet' href='jquery-ui.css' type='text/css' />

		<link rel='stylesheet' href='gjsForm.css' type='text/css' />

		<script src='Calendar.js'/>
  </head>
  <body>
		<p>User's locale is <xsl:value-of select='/Form/user/@locale'/></p>	

		<!-- Set defaults for the calendar controls -->
    <script language='javascript'>
      $(function(){
        $.datepicker.setDefaults({
        <xsl:choose>
          <xsl:when test='/Form/user/@locale="US"'>
            dateFormat: 'mm/dd/yy' 
          </xsl:when>
          <xsl:otherwise>
            dateFormat: 'dd/mm/yy' 
          </xsl:otherwise>
        </xsl:choose>
        });
      });
    </script>

		<table>

			<gjs:calendar
				id='test0301'
				gjsInternalValue='19991231'
				onchange='Calendar.fnValidate(this)'>
				<label>Standard</label>	 
			</gjs:calendar>
				
			<gjs:calendar
				id='test0302'
				gjsInternalValue='{/Form/someElement/@someDate}'
				onchange='Calendar.fnValidate(this)'>
				<label>Date from xml file</label>	 
			</gjs:calendar>

			<gjs:calendar
				id='test0303'
				gjsInternalValue='{/Form/someElement/@someDate}'
				readonly='1'>
				<label>Read only</label>	 
			</gjs:calendar>

			<gjs:calendar
				id='test0304'
				gjsInternalValue='{/Form/someElement/@someDate}'
				calendar='0'
				onchange='Calendar.fnValidate(this)'>
				<label>No calendar</label>	 
			</gjs:calendar>

			<gjs:calendar
				id='test0305'
				gjsInternalValue='{/Form/someElement/@someDate}'
				validate='0'>
				<label>No validation</label>	 
			</gjs:calendar>

			<gjs:calendar
				id='test0306'
				gjsInternalValue='{/Form/someElement/@someDate}'
				gjsLocale='EUROPE'
				onchange='Calendar.fnValidate(this)'>
				<label>EUROPE locale</label>	 
			</gjs:calendar>
		</table>
  </body>
</html>
	</xsl:template>

</xsl:stylesheet>
