<?xml version='1.0' standalone='no'?>
<!DOCTYPE xsl:stylesheet [ <!ENTITY nbsp '&#160;'> ]>
<xsl:stylesheet 
 version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:gjs="http://www.georgejames.com">

<!-- Category List
     =============
-->

<xsl:import href='gjsTree.xsl' />
<xsl:include href='ServerLink.xsl' />


<xsl:template match="/ServerLink/Rows">
  <div id='divFolderHeadingCaption'>
    Message Categories
  </div>
  <div id='divMainHead'>
    <xsl:call-template name='divMainHead' />
  </div>
  <xsl:call-template name='gjs:tree' />
</xsl:template>


<xsl:template name='divMainHead'>

  	<table class='layoutTable' width='1000px' gjsTreeId='Category_List'>
  	  <tr>

        <xsl:call-template name='gjs:treeMoresMainHeading' />

        <td width='25'></td>

        <xsl:call-template name='gjs:treeColumnHeading'>
          <xsl:with-param name='width' select='"200"'/>
          <xsl:with-param name='columnId'>Category</xsl:with-param>
          <xsl:with-param name='caption'>Category</xsl:with-param>         
          <xsl:with-param name='selected'>ascending</xsl:with-param>
					<xsl:with-param name='previousColumnResizable'>0</xsl:with-param>
        </xsl:call-template>
  	    
        <xsl:call-template name='gjs:treeColumnHeading'>
          <xsl:with-param name='width' select='"100"'/> 
          <xsl:with-param name='columnId'>Icon</xsl:with-param> 
          <xsl:with-param name='caption'>Icon</xsl:with-param>         
        </xsl:call-template>
  	    
        <xsl:call-template name='gjs:treeColumnHeading'>
          <xsl:with-param name='width' select='"100"'/> 
          <xsl:with-param name='columnId'>Color</xsl:with-param> 
          <xsl:with-param name='caption'>Color</xsl:with-param>         
        </xsl:call-template>
  	    
        <xsl:call-template name='gjs:treeColumnHeading'>
          <xsl:with-param name='width' select='"50"'/> 
          <xsl:with-param name='columnId'>Persist</xsl:with-param> 
          <xsl:with-param name='caption'>Persist</xsl:with-param>         
        </xsl:call-template>

        <xsl:call-template name='gjs:treeColumnHeading'>
          <xsl:with-param name='width' select='"50"'/> 
          <xsl:with-param name='columnId'>Output</xsl:with-param> 
          <xsl:with-param name='caption'>Output</xsl:with-param>         
        </xsl:call-template>
  	    
        <xsl:call-template name='gjs:treeColumnHeading'>
          <xsl:with-param name='width' select='"150"'/> 
          <xsl:with-param name='columnId'>ForAction</xsl:with-param> 
          <xsl:with-param name='caption'>Flag For Action By</xsl:with-param>
        </xsl:call-template>
  	    
        <xsl:call-template name='gjs:treeColumnHeading'>
          <xsl:with-param name='width' select='"200"'/> 
          <xsl:with-param name='columnId'>OnWrite</xsl:with-param> 
          <xsl:with-param name='caption'>On Write</xsl:with-param>         
        </xsl:call-template>
  	    
        <xsl:call-template name='gjs:treeColumnHeading'>
          <xsl:with-param name='width' select='"200"'/> 
          <xsl:with-param name='columnId'>OnActioned</xsl:with-param> 
          <xsl:with-param name='caption'>On Actioned</xsl:with-param>         
        </xsl:call-template>
         
        <xsl:call-template name='gjs:treeColumnHeading'>
          <xsl:with-param name='width' select='"1000"'/> 
        </xsl:call-template>
 	    
        <td width='*'></td>
      </tr>
    </table>

</xsl:template>



<xsl:template name='leafContent'>

  <!-- Icon for record -->
  <td class='noHighlight' width='25px'>
    <img
     src='vcm_record_l.gif'
     width='25px'
     height='16px'>
    </img>
  </td>

  <td class='treeCell'>
    <div nowrap='nowrap'>
      <xsl:value-of select='category/@name' />
    </div>
  </td>

  <td class='treeCell'>
    <div nowrap='nowrap'>
      <xsl:value-of select='category/@icon' />
    </div>
  </td>

  <td class='treeCell'>
    <div nowrap='nowrap'>
      <xsl:value-of select='category/@color'/>    
    </div>
  </td>

  <td class='treeCell'>
    <div nowrap='nowrap'>
      <xsl:value-of select='category/@persistMessage' />
    </div>
  </td>

  <td class='treeCell'>
    <div nowrap='nowrap'>
      <xsl:value-of select='category/@outputMode' />
    </div>
  </td>

  <td class='treeCell'>
    <div nowrap='nowrap'>
      <xsl:choose>
        <xsl:when test='category/@actionBy="$eventInitiator"'>
          <span class='keyword'>Event initiator</span>
        </xsl:when>
        <xsl:when test='category/@actionBy="$objectOwner"'>
          <span class='keyword'>Object owner</span>
        </xsl:when>
        <xsl:when test='category/@actionBy="$changeRequestOwner"'>
          <span class='keyword'>Change request owner</span>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select='category/@actionBy' />    
        </xsl:otherwise>
      </xsl:choose>
    </div>
  </td>

  <td class='treeCell'>
    <div nowrap='nowrap'>
      <xsl:value-of select='category/@onWrite' />
    </div>
  </td>

  <td class='treeCell'>
    <div nowrap='nowrap'>
      <xsl:value-of select='category/@onActioned' />
    </div>
  </td>
  
  <!-- empty cell to cater for extra column that gives the last real column a right-hand resize handle -->
  <td class='treeCell'>
    <div nowrap='nowrap'>
    </div>
  </td>
</xsl:template>


<!-- Attributes for each leaf row -->
<xsl:template name='leafRowAttributes'>
	<xsl:param name='rowId'/>
  <xsl:attribute name='tabindex'>0</xsl:attribute>
  <xsl:attribute name='onfocus'>fnItemSelect(this);Class.fnSelect(Category,this)</xsl:attribute>
  <xsl:attribute name='onclick'>fnItemSelect(this);Class.fnSelect(Category,this)</xsl:attribute>
  <xsl:attribute name='ondblclick'>Category.Item.fnOpen()</xsl:attribute>
  <xsl:attribute name='oncontextmenu'>fnItemSelect(this);Class.fnSelect(Category,this);fnContextMenu("popItem")</xsl:attribute>
  <xsl:attribute name='gjsItem'><xsl:value-of select='category/@category' /></xsl:attribute>
  <xsl:attribute name='id'><xsl:value-of select='$rowId' />main</xsl:attribute>
</xsl:template>


</xsl:stylesheet>
