<?xml version='1.0' standalone='no'?>
<!DOCTYPE xsl:stylesheet [ <!ENTITY nbsp '&#160;'> ]>
<xsl:stylesheet 
 version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:gjs="http://www.georgejames.com">

<!-- Change Request Selection Data Content
     =====================================
-->


<xsl:template name="divSelectHeading">
  <div 
   id='divSelectHeading'
   style='top: 0px; left: 0px; height: 20px; position: relative; overflow: hidden; border: 0px inset threedshadow;'>
    <table class='formLayoutTable'>
      <tr>
        <gjs:column width='25'/>
        <gjs:column width='107'/>
        <gjs:column width='202'/>
        <gjs:column width='72'/>
        <gjs:column width='72'/>
        <gjs:column width='62'/>
        <gjs:column width='62'/>
      </tr>
      <tr
       title='Click a column header to sort'
      >
        <td class='caption'></td>
        <gjs:columnHeading caption='Change Request' column='1' oBody='tabSelect' />
        <gjs:columnHeading caption='Description' column='2' oBody='tabSelect' />
        <gjs:columnHeading caption='Type' column='3' oBody='tabSelect' />
        <gjs:columnHeading caption='Owner' column='4' oBody='tabSelect' />
        <gjs:columnHeading caption='Status' column='5' oBody='tabSelect' />
        <gjs:columnHeading caption='Created' column='6' oBody='tabSelect' />
      </tr>
    </table>
  </div>
</xsl:template>


<xsl:template name='divSelectTable'>
  <xsl:variable name='countIcons' select='count(ChangeRequest)' />
  <xsl:variable name='maxItems' select='$countIcons&gt;=@maxObjects and not(@maxObjects="0")' />

  <div
   id='divSelectTable'
   style='top: 0px; left: 0px; height: 270px; position: relative; overflow: auto; border: 1px inset threedshadow; background-color: window;'>
    <table
     class='formLayoutTable'>
      <thead>
        <tr tabindex='-1'>
          <gjs:column width='25'/>
          <gjs:column width='105'/>
          <gjs:column width='202'/>
          <gjs:column width='72'/>
          <gjs:column width='72'/>
          <gjs:column width='62'/>
          <gjs:column width='62'/>
        </tr>
      </thead>
      <tbody id='tabSelect'>
        <xsl:apply-templates select='ChangeRequest'/>
      </tbody>

      <xsl:if test='$maxItems'>
        <tfoot>
          <tr>
            <td width='25px' height='16px' style='padding-left: 2px'><img src='vcmWarning.gif'/></td>
            <td
             colspan='6' 
             style='color: red;'>
              Maximum number of items (<xsl:value-of select='@maxObjects'/>) shown
            </td>
          </tr>
        </tfoot>
      </xsl:if>

    </table>
  </div>
</xsl:template>


<xsl:template match="ChangeRequest">
  <xsl:variable name='changeRequestType' select='@changeRequestType' />
  <tr 
   tabindex='0'
   onclick='this.focus()'
   onfocus='fnSelectRow(this)'
   ondblclick='frmMain.cmdOpen.click()'
   gjsChref='{@changeRequest}'
   gjsName='{@name}'
   valign='top'
   style='cursor: default;'>
    <td>
      <img src='{@icon}' title='{@iconTitle}' width='25px' height='16px'/>
    </td>
    <td
     style='width: 105px; max-width: 105px; overflow: hidden;'
     title='{@changeRequest}'
    >
      <xsl:value-of select='@changeRequest' />
    </td>
    <td
     style='padding-left: 2px; min-width: 202px; width: 202px; max-width: 202px;'
    >
      <xsl:value-of select='@name' />
    </td>
    <td
     style='padding-left: 2px;'
    >
      <xsl:attribute name='title'><xsl:value-of select='/ChangeRequestSelect/changeRequestTypes/changeRequestType[@changeRequestType=$changeRequestType]/@description'/></xsl:attribute>
      <xsl:value-of select='$changeRequestType' />    
    </td>
    <td
     style='padding-left: 2px;'
     title='{@ownerUserId}'
    >
      <xsl:value-of select='@ownerUserId' />    
    </td>
    <td
     style='padding-left: 2px;'
     title='{@status}'
    >
      <xsl:value-of select='@status' />    
    </td>
    <td
     style='padding-left: 2px;'
     gjsSort='{@iCreationDateTime}'
    >
      <xsl:value-of select='@creationDate' />    
    </td>
  </tr>
</xsl:template> <!-- match="ChangeRequest" -->




</xsl:stylesheet>
