<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!-- Object: vclo.xsl/1.1 -->

<!-- This stylesheet transforms an xml formatted document into its corresponding global node representation -->
<!-- Logical Locations -->

<!-- Global node and data -->
<xsl:template match="logicalLocation">
^%vclo("<xsl:value-of select='@logicalLocation'/>")
<xsl:value-of select='@description'/>\\\\\<xsl:call-template name='singleOrMultiVersion'/>\<xsl:value-of select='@accessCodes'/>\<xsl:value-of select='@revision'/>
<xsl:apply-templates />
</xsl:template>

<xsl:template name="singleOrMultiVersion">
  <xsl:variable name="value" select="./@singleOrMultiVersion" />
  <xsl:choose>
    <xsl:when test="$value='Single'">S</xsl:when>
    <xsl:when test="$value='Multi'">M</xsl:when>
    <xsl:otherwise>S</xsl:otherwise>
  </xsl:choose>
</xsl:template>


<xsl:template match="logicalLocation/componentMask">
^%vclo("<xsl:value-of select='../@logicalLocation'/>","cmask","<xsl:value-of select='@maskSequence'/>")
<xsl:value-of select='@componentMask'/>\<xsl:value-of select='@physicalLocation'/>
^%vclo2("1","<xsl:value-of select='@physicalLocation'/>","<xsl:value-of select='../@logicalLocation'/>","<xsl:value-of select='@maskSequence'/>")
<xsl:value-of select='@componentMask'/>
</xsl:template>


<xsl:template match="logicalLocation/system">
^%vclo("<xsl:value-of select='../@logicalLocation'/>","1","<xsl:value-of select="."/>")

^%vclo2("3","<xsl:value-of select="."/>","<xsl:value-of select='../@logicalLocation'/>")
</xsl:template>



<xsl:template match="logicalLocation/locationClass">
<!-- Define maximum number of locations and number of location classes, to generate unique sequence no. -->
<xsl:variable name='maximumLocations'>10000</xsl:variable>
<xsl:variable name='maximumClasses'>10000</xsl:variable>
<xsl:variable name='sequence'>
  <xsl:choose>
    <xsl:when test='@sequence'>
      <xsl:value-of select='@sequence'/>
    </xsl:when>
    <xsl:otherwise>
      <!-- black magic to get a unique position value for each logicalLocation element, see http://www.dpawson.co.uk/xsl/sect2/N6099.html -->
      <xsl:variable name='locationPosition'><xsl:value-of select='1 + count(parent::*/preceding-sibling::*)'/></xsl:variable>
      <xsl:value-of select='($maximumLocations*$maximumClasses)+($maximumLocations*$locationPosition)+position()'/>  
    </xsl:otherwise>
  </xsl:choose>
</xsl:variable>
^%vclo("<xsl:value-of select='../@logicalLocation'/>","2","<xsl:value-of select='.'/>")

^%vclo2("2","<xsl:value-of select='.'/>","<xsl:value-of select='../@logicalLocation'/>")

^%vcmf("lclass","<xsl:value-of select='.'/>","location",<xsl:value-of select='$sequence'/>)
<xsl:value-of select='../@logicalLocation'/></xsl:template>


</xsl:stylesheet>
