<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!-- Object: vcmfUser.xsl/1.0 -->

<!-- This stylesheet transforms an xml formatted document into its corresponding global node representation -->
<!-- Users -->

<!-- Global node and data -->
<xsl:template match="user">
<xsl:variable name="lower">abcdefghijklmnopqrstuvwxyz</xsl:variable>
<xsl:variable name="upper">ABCDEFGHIJKLMNOPQRSTUVWXYZ</xsl:variable>
^%vcmf("user","<xsl:value-of select='@user'/>")
0\<xsl:value-of select='@name'/>\<xsl:value-of select='@accessCodes'/>\<xsl:value-of select='@password'/>\<xsl:call-template name='cancelAuthority'/>\<xsl:value-of select='@locale'/>\<xsl:value-of select='@revision'/>
^%vcmf2("userUp","<xsl:value-of select='translate(@user,$lower,$upper)'/>")
<xsl:value-of select='@user'/>
<xsl:apply-templates/>
</xsl:template>

<xsl:template name="cancelAuthority">
  <xsl:variable name="value" select="./@cancelAuthority" />
  <xsl:choose>
    <xsl:when test="$value='Yes'">Y</xsl:when>
    <xsl:when test="$value='No'">N</xsl:when>
    <xsl:otherwise>N</xsl:otherwise>
  </xsl:choose>
</xsl:template>

<!-- User alias -->
<xsl:template match="user/alias">
<xsl:variable name="lower">abcdefghijklmnopqrstuvwxyz</xsl:variable>
<xsl:variable name="upper">ABCDEFGHIJKLMNOPQRSTUVWXYZ</xsl:variable>
^%vcmf("user","<xsl:value-of select='../@user'/>","alias","<xsl:value-of select='.'/>")

^%vcmf2("aliasUp","<xsl:value-of select='translate(.,$lower,$upper)'/>")
<xsl:value-of select='../@user'/>
</xsl:template>

</xsl:stylesheet>
