<?xml version='1.0' standalone='no'?>
<!DOCTYPE xsl:stylesheet [ <!ENTITY nbsp '&#160;'> ]>
<xsl:stylesheet
 version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:gjs="http://www.georgejames.com">

<xsl:include href='gjsForm.xsl'/>

<xsl:template match="Form">
  <xsl:apply-templates select="objectSet"/>
</xsl:template>

<xsl:template match="objectSet">
  <xsl:variable name='readonly'>
    <xsl:choose>
      <xsl:when test='../parameters/@features &lt; 4'>
        <xsl:text>1</xsl:text>
      </xsl:when>          
      <xsl:otherwise>
        <xsl:text>0</xsl:text>
      </xsl:otherwise>          
    </xsl:choose>
  </xsl:variable>

<gjs:form
 title='Object Settings'
 jsFile='vcset75.js'
 onload='frmMain.variantDefault.focus();'
 save='{/Form/@save}'
 close='{/Form/@close}'
 delete='no'
 print='{/Form/@print}'
 help='{/Form/@help}'
 ok='{/Form/@ok}'
 cancel='{/Form/@cancel}'>

  <gjs:information>
    Object settings including variants and systems.
    <xsl:if test='$readonly=1'>
      NOTE: Callouts are not available on your edition of Deltanji.
    </xsl:if>
  </gjs:information>

<div id='divObjectSet' class='visible' style='height: 170'>
  <gjs:frame>
  <!-- Set up frame column widths -->
  <gjs:columnWidths>
    <gjs:column width='200'/>
    <gjs:column width='220'/>
  </gjs:columnWidths>

  <gjs:fields>

    <gjs:input
     id='variantDefault'
     accesskey='V'
     size='35'
     maxlength='2000'
     value='{@variantDefault}'
     onchange='Form.fnChanged()'
     readonly='0'>
     <label>Default <u>v</u>ariant</label>
     <hint>Enter variant</hint>
    </gjs:input>

    <gjs:input
     id='nameObject'
     accesskey='V'
     size='35'
     maxlength='2000'
     value='{@nameObject}'
     onchange='Form.fnChanged()'
     readonly='{$readonly}'>
     <label>Object <u>n</u>ame callout (routine call)</label>
     <hint>Enter routine name</hint>
    </gjs:input>

   <xsl:apply-templates select="/Form/objectSet/checkbox" mode='grid'>
                <xsl:with-param name='value'/>
		<xsl:with-param name='name'/>
		<xsl:with-param name='label'/>
		<xsl:with-param name='accesskey'/>
              </xsl:apply-templates>

    <gjs:input
     id='mergeDependency'
     accesskey='M'
     size='35'
     maxlength='2000'
     value='{@mergeDependency}'
     onchange='Form.fnChanged()'
     readonly='{$readonly}'>
     <label><u>M</u>erge candidate dependency</label>
     <hint>Dependency specification restricting which versions can be merged from</hint>
    </gjs:input>
   
  </gjs:fields>

  <gjs:inputHidden id='revision' value='{@revision}'/>

  </gjs:frame>
</div>
</gjs:form>
</xsl:template>

<xsl:template match='checkbox' name='checkbox' mode="grid">
  <xsl:param name='checkbox'/>
  <tr>
     <td><label><xsl:value-of select='@label'/></label></td>
     <td>
      <xsl:choose>
        <xsl:when test='@value="1"'>
          <input 
           type='checkbox'
           id='{@name}'
           name='{@name}'
           accesskey='{@accesskey}'
           onclick='Form.fnChanged()'
           checked='checked' />
        </xsl:when>
        <xsl:otherwise>
          <input 
           type='checkbox'
           id='{@name}'
           name='{@name}'
           onclick='Form.fnChanged()'
           accesskey='{@accesskey}' />
        </xsl:otherwise>
      </xsl:choose>
    </td>
  </tr>
</xsl:template>

</xsl:stylesheet>
