<?xml version='1.0' standalone='no'?>
<!DOCTYPE xsl:stylesheet [ <!ENTITY nbsp '&#160;'> ]>
<xsl:stylesheet
 version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:gjs="http://www.georgejames.com">

<xsl:include href='gjsForm.xsl'/>

<xsl:template match="Form">
  <gjs:form
   title='Change Request Report'
   jsFile='vc681.js'
   onload='frmMain.dateStart.focus();'
   save='{@save}'
   close='{@close}'
   delete='no'
   print='no'
   help='{@help}'
   ok='{@ok}'
   cancel='{@cancel}'>
    <xsl:apply-templates />
  </gjs:form>
</xsl:template>

<xsl:template match="/Form/changeRequestReport">
  <gjs:information>
     The change request report is a spreadsheet of rows containing information about each change request.
     &nbsp;You can choose to base your search on either the creation date or the planned end date of the change requests.
     &nbsp;Use '+0' for today's date, '-n' or '+n' to offset 'n' days from today.
  </gjs:information>

  <div id='divChangeRequestReport' class='visible' style='height: 140'>
  <gjs:frame>
  <!-- Set up frame column widths -->
  <gjs:columnWidths>
    <gjs:column width='110'/>
    <gjs:column width='170'/>
  </gjs:columnWidths>

  <gjs:fields>
    
    <tr>
     <td><label>Select on:</label></td>
     <td>
        <input
         type='radio'
         id='reptype'
         name='reptype'
         value='C'
         accesskey='R'>
	  <xsl:if test='@reptype="C"'>
	     <xsl:attribute name="checked">checked</xsl:attribute>
	  </xsl:if>
        </input>
        <label>C<u>r</u>eation date</label></td>
    </tr>
    <tr>
      <td></td>
      <td>
        <input
         type='radio'
         id='reptype'
         name='reptype' 
         value='P'
         accesskey='P'>
	  <xsl:if test='@reptype="P"'>
	     <xsl:attribute name="checked">checked</xsl:attribute>
	  </xsl:if>
	</input>
        <label><u>P</u>lanned end date</label></td>
    </tr>
    
    <tr><td colspan='2' height='15'></td></tr>

    	<gjs:calendar
         id='dateStart'
         accesskey='F'
         gjsInternalValue='{@start}'>
         <label><u>F</u>rom date</label>
	 <hint>Use '+0' for today's date, '-n' or '+n' to offset 'n' days from today.</hint>
      </gjs:calendar>

	
    	<gjs:calendar
         id='dateEnd'
         accesskey='T'
         value='{@end}'>
         <label><u>T</u>o date</label>
	 <hint>Use '+0' for today's date, '-n' or '+n' to offset 'n' days from today.</hint>
      </gjs:calendar>
	

    </gjs:fields>

   </gjs:frame>
  </div>
</xsl:template>


</xsl:stylesheet>
