<?xml version='1.0' standalone='no'?>
<!DOCTYPE xsl:stylesheet [ <!ENTITY nbsp '&#160;'> ]>
<xsl:stylesheet
 version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:gjs="http://www.georgejames.com">

<xsl:include href='gjsForm.xsl'/>
<xsl:include href='Selector.xsl'/>

<xsl:template match="Form">
  <xsl:apply-templates select="compareLocationsReport"/>
</xsl:template>

<xsl:template match="/Form/compareLocationsReport">
<gjs:form
 title='Compare Locations Report'
 jsFile='vc821.js'
 onload='frmMain.lcode1.focus();'
 save='{/Form/@save}'
 close='{/Form/@close}'
 delete='no'
 print='no'
 help='{/Form/@help}'
 ok='{/Form/@ok}'
 cancel='{/Form/@cancel}'>


  <gjs:information>
        The compare locations report can be run in three ways.
        &nbsp;The 'Objects' option creates a spreadsheet which compares the highest version number of each object in the two locations.
        &nbsp;The 'Change requests' option creates a spreadsheet listing all the change requests of the objects whose highest version number differs between the two locations.
        &nbsp;The 'Diff' option launches Beyond Compare to provide a detailed code diff between the two locations.
  </gjs:information>

  <div id='divCompareLocationsReport' class='visible'>
  
  
		<gjs:frame>
			<!-- Set up frame column widths -->
			<gjs:columnWidths>
				<gjs:column width='140'/>
				<gjs:column width='400'/>
			</gjs:columnWidths>

				<gjs:fields>
    
					<tr>
						<td><label>Report option:</label></td>
						<td>
							<input
								type='radio'
								id='repopt'
								name='repopt'
								value='1'
								onclick='fnSetSelectorState()'
								accesskey='B'>
								<xsl:if test='@repopt="1"'>
									<xsl:attribute name="checked">checked</xsl:attribute>
								</xsl:if>
							</input>
						<label>&nbsp;&nbsp;&nbsp;&nbsp;O<u>b</u>jects</label>
						</td>
					</tr>
    
					<tr>
						<td></td>
						<td>
							<input
								type='radio'
								id='repopt'
								name='repopt' 
								value='2'
								onclick='fnSetSelectorState()'
								accesskey='G'>
								<xsl:if test='@repopt="2"'>
									<xsl:attribute name="checked">checked</xsl:attribute>
								</xsl:if>
							</input>
							<label>&nbsp;&nbsp;&nbsp;&nbsp;Chan<u>g</u>e requests</label>
							</td>
						</tr>
			
					<tr>
						<td></td>
						<td>
							<input
								type='radio'
								id='repopt'
								name='repopt' 
								value='3'
								onclick='fnSetSelectorState()'
								accesskey='F'>
								<xsl:if test='@repopt="3"'>
									<xsl:attribute name="checked">checked</xsl:attribute>
								</xsl:if>
							</input>
							<label>&nbsp;&nbsp;&nbsp;&nbsp;Di<u>f</u>f</label>
							</td>
						</tr>
			

						<tr>
						<td colspan="3" height="15">
							</td>
						</tr>


						 	<gjs:list1
						  	id='lcode1'
						  	width='400'
						  	value='{@lcode1}'
								size='1'
								row='0'
								accesskey='I'>
									<label>F<u>i</u>rst Location</label>
										<xsl:apply-templates select='/Form/compareLocationsReport/locations/location' mode='list1' />
						  </gjs:list1>

						<tr>
							<td colspan="3" height="5">
							</td>
						</tr>

			
						 	<gjs:list1
						  	 id='lcode2'
						  	 width='400'
						  	 value='{@lcode2}'
								 size='1'
								 row='0'
								 accesskey='E'>
									<label>S<u>e</u>cond Location</label>
						     <xsl:apply-templates select='/Form/compareLocationsReport/locations/location' mode='list1' />
						  </gjs:list1>
			<tr>
				<td colspan='4'>&nbsp;
				</td>
			</tr>

			<tr>
				<td colspan='4'>
					<input
					 type='radio'
					 id='eitherLocation'
					 name='eitherLocation'
					 value='1'
					 accesskey='T'
					 onclick='fnSetSelectorState()'>
						<xsl:if test='@eitherLocation="1"'>
							<xsl:attribute name="checked">checked</xsl:attribute>
						</xsl:if>
					</input>
					<label>All objects in ei<u>t</u>her location that also belong in the other location</label>
				</td>
			</tr>
			<tr>
				<td colspan='4'>
					<input
					 type='radio'
					 id='eitherLocation'
					 name='eitherLocation'
					 value='0'
					 accesskey='R'
					 onclick='fnSetSelectorState()'>
						<xsl:if test='@eitherLocation!="1"'>
							<xsl:attribute name="checked">checked</xsl:attribute>
						</xsl:if>
					</input>
					<label>Objects in the fi<u>r</u>st location that also belong in the second location</label>
				</td>
			</tr>
 			<tr>
				<td colspan='4'>
								
					<xsl:apply-templates select='/Form/compareLocationsReport/selectors' />
								
				</td>
			</tr>
						
			</gjs:fields>	
		</gjs:frame>
	</div>
	
	
	</gjs:form>
</xsl:template>

<!-- Location list boxes -->
<xsl:template match='location' mode="list1">
<item>
  <label><xsl:value-of select="@location" /> - <xsl:value-of select="@description" /></label>
  <value><xsl:value-of select="@location" /></value>
</item>
</xsl:template>

<!-- Object selector -->
<xsl:template match='selectors'>
	<xsl:call-template name='gjs:selector' />
</xsl:template>


</xsl:stylesheet>
