<?xml version='1.0' standalone='no'?>
<!DOCTYPE xsl:stylesheet [ <!ENTITY nbsp '&#160;'> ]>
<xsl:stylesheet
 version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:gjs="http://www.georgejames.com">

<xsl:include href='gjsForm.xsl'/>
<xsl:include href='Selector.xsl'/>

<xsl:template match="Form">
	<xsl:apply-templates select="concurrentBranches"/>
</xsl:template>

<xsl:template match="/Form/concurrentBranches">

<gjs:form
 title='Concurrent Branches Report'
 jsFile='Report_ConcurrentBranches_Form.js'
 save='no'
 close='no'
 delete='no'
 print='no'
 help='{/Form/@help}'
 ok='{/Form/@ok}'
 cancel='{/Form/@cancel}'>

	<gjs:information>
		The concurrent branches report is a spreadsheet showing objects that have
		more than one 'tip' version (a version with no successors). When run for
		selected objects, the selection must contain the tip versions of interest.
		To focus on branches being developed in location XYZ, use the object selector
		*/*@XYZ and focus on report rows where the first branch master location is XYZ. 
	</gjs:information>

	<div id='divConcurrentBranches' class='visible' style='height: 200'>
		<gjs:frame>
			<gjs:columnWidths>
				<gjs:column width='330'/>
			</gjs:columnWidths>

			<gjs:fields>

				<tr><td><label><b><u>R</u>eport on:</b></label></td></tr>
				<tr><td>
			
					<xsl:apply-templates/>
			
				</td></tr>

			</gjs:fields>

		</gjs:frame>

	</div>

</gjs:form>

</xsl:template>


<xsl:template match='/Form/concurrentBranches/selectors'>
	<xsl:call-template name='gjs:selector' />
</xsl:template>


</xsl:stylesheet>
