<?xml version='1.0' standalone='no'?>
<!DOCTYPE xsl:stylesheet [ <!ENTITY nbsp '&#160;'> ]>
<xsl:stylesheet 
 version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:gjs="http://www.georgejames.com">

<!-- User List
     =============
-->

<xsl:import href='gjsTree.xsl' />
<xsl:include href='ServerLink.xsl' />


<xsl:template match="/ServerLink/Rows">
  <div id='divFolderHeadingCaption'>
    Users
  </div>
  <div id='divMainHead'>
    <xsl:call-template name='divMainHead' />
  </div>
  <xsl:call-template name='gjs:tree' />
</xsl:template>


<xsl:template name='divMainHead'>

  	<table class='layoutTable' gjsTreeId='User_List'>
  	  <tr>

        <xsl:call-template name='gjs:treeMoresMainHeading' />

        <td width='25' class="iconCell"></td>

        <xsl:call-template name='gjs:treeColumnHeading'>
          <xsl:with-param name='width' select='"80"'/>
          <xsl:with-param name='columnId'>UserID</xsl:with-param>
          <xsl:with-param name='caption'>User ID</xsl:with-param>
          <xsl:with-param name='selected'>ascending</xsl:with-param>
					<xsl:with-param name='previousColumnResizable'>0</xsl:with-param>
        </xsl:call-template>
  	    
        <xsl:call-template name='gjs:treeColumnHeading'>
          <xsl:with-param name='width' select='"200"'/> 
          <xsl:with-param name='columnId'>Name</xsl:with-param> 
          <xsl:with-param name='caption'>Name</xsl:with-param>
        </xsl:call-template>
  	    
        <xsl:call-template name='gjs:treeColumnHeading'>
          <xsl:with-param name='width' select='"50"'/> 
          <xsl:with-param name='columnId'>Cancel</xsl:with-param> 
          <xsl:with-param name='caption'>Cancel</xsl:with-param>
        </xsl:call-template>
   	    
        <xsl:call-template name='gjs:treeColumnHeading'>
          <xsl:with-param name='width' select='"200"'/> 
          <xsl:with-param name='columnId'>AccessRights</xsl:with-param> 
          <xsl:with-param name='caption'>Access Rights</xsl:with-param>
        </xsl:call-template>
  	    
        <xsl:call-template name='gjs:treeColumnHeading'>
          <xsl:with-param name='width' select='"80"'/> 
          <xsl:with-param name='columnId'>DateFormat</xsl:with-param> 
          <xsl:with-param name='caption'>Date Format</xsl:with-param>
        </xsl:call-template>
  	    
        <xsl:call-template name='gjs:treeColumnHeading'>
          <xsl:with-param name='width' select='"105"'/> 
          <xsl:with-param name='columnId'>Menus</xsl:with-param> 
          <xsl:with-param name='caption'># Menu Overrides</xsl:with-param>
          <xsl:with-param name='title'>Number of user-specific menu overrides defined</xsl:with-param>
        </xsl:call-template>
         
        <!--<xsl:call-template name='gjs:treeColumnHeading'>
          <xsl:with-param name='width' select='"2000"'/> 
        </xsl:call-template>-->
	    
        <td width='*'></td>
      </tr>
    </table>

</xsl:template>

<xsl:template name='folderContent'>
  <xsl:param name='rowId'/>

  <xsl:apply-templates select='user'>
    <xsl:with-param name='rowId' select='$rowId' />
	</xsl:apply-templates>
</xsl:template>

<!-- Attributes for each folder row -->
<xsl:template name='folderRowAttributes'>
	<xsl:param name='rowId'/>

  <!-- If this is an update then use the old divReferenceHeadingId otherwise use a new unique one -->
  <xsl:variable name='divReferenceHeadingId'>
    <xsl:choose>
      <xsl:when test='rowUpdate'>
        <xsl:value-of select='rowUpdate/@divReferenceHeadingId' />
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select='/ServerLink/@runId' />
        <xsl:text>_mainHead</xsl:text>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:variable>

  <xsl:attribute name='tabindex'>0</xsl:attribute>
  <xsl:attribute name='onfocus'>fnItemSelect(this);Class.fnSelect(User,this);Main.fnSetMainHead("<xsl:value-of select='$divReferenceHeadingId' />");</xsl:attribute>
  <!-- SM (07/08/2013): this.focus() works around a bug in IE (see section 'To click or not to click' in http://nemisj.com/focusable) -->
  <xsl:attribute name='onclick'>this.focus();fnItemSelect(this);Class.fnSelect(User,this)</xsl:attribute>
  <xsl:attribute name='oncontextmenu'>fnItemSelect(this);Class.fnSelect(User,this);fnContextMenu("popItem")</xsl:attribute>
  <xsl:attribute name='gjsItem'><xsl:value-of select='user/@user' /></xsl:attribute>
  <xsl:attribute name='gjsReferenceHeadingId'><xsl:value-of select='$divReferenceHeadingId' /></xsl:attribute>
  <xsl:attribute name='id'><xsl:value-of select='$rowId' />main</xsl:attribute>
	<xsl:if test='/ServerLink/allowedMethods/method[@name="User.fnOpen"]'>
		<xsl:attribute name='ondblclick'>User.Item.fnOpen()</xsl:attribute>
	</xsl:if>
</xsl:template>

<xsl:template match='/ServerLink/Rows/Folder/user'>
  <xsl:param name='rowId'/>

	<xsl:variable name='elementMain'>
		fnElement("<xsl:value-of select='$rowId'/>main")
	</xsl:variable>
	
  <!-- Icon for record -->
  <td class='iconCell noHighlight' width='25px'>
    <img
     src='vcm_record_l.gif'
     width='25px'
     height='16px'>
    </img>
  </td>

  <td class='treeCell'>
    <div nowrap='nowrap'>
      <span
       nowrap='nowrap'
       gjsRowId='{$rowId}'
      >
        <xsl:value-of select='@user' />
      </span>
    </div>
  </td>

  <td class='treeCell'>
    <div nowrap='nowrap'>
      <xsl:value-of select='@name' />
    </div>
  </td>

  <td class='treeCell'>
    <div nowrap='nowrap'>
      <xsl:choose>
        <xsl:when test='@cancelAuthority="Y"'>
          Yes
        </xsl:when>
        <xsl:when test='@cancelAuthority="N"'>
          No
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select='@cancelAuthority' />    
        </xsl:otherwise>
      </xsl:choose>
    </div>
  </td>

  <td class='treeCell'>
    <div nowrap='nowrap'>
      <xsl:value-of select='@accessCodes' />
    </div>
  </td>

  <td class='treeCell'>
    <div nowrap='nowrap'>
      <xsl:choose>
        <xsl:when test='@locale="EUROPE"'>
          dd/mm/yyyy
        </xsl:when>
        <xsl:when test='@locale="US"'>
          mm/dd/yyyy
        </xsl:when>
        <xsl:otherwise>localecancelAuthority' />?    
        </xsl:otherwise>
      </xsl:choose>
    </div>
  </td>

  <td class='treeCell'>
    <div nowrap='nowrap'>
      <xsl:value-of select='count(menus/menu)' />
    </div>
  </td>
</xsl:template>


<!-- Sub-folder method -->
<xsl:template name='subFolderMethod'>
  <xsl:text>User.fnListSub</xsl:text>
</xsl:template>


<!-- Sub-folder arguments -->
<xsl:template name='subFolderArguments'>
  <xsl:param name='rowId'/>
  
	<xsl:variable name='elementMain'>
		fnElement("<xsl:value-of select='$rowId'/>main")
	</xsl:variable>
	
	<xsl:variable name='elementSub'>
		fnElement("<xsl:value-of select='$rowId'/>sub")
	</xsl:variable>

  <xsl:text>"</xsl:text><xsl:value-of select='$rowId'/><xsl:text>main"</xsl:text>
  <xsl:text>+delimiter+getAttr(</xsl:text><xsl:value-of select='$elementMain'/>,'gjsItem')
  <xsl:text>+delimiter+gjsTree.fnMores(gCurrentCell)</xsl:text>

</xsl:template>

</xsl:stylesheet>
