var s = unescape(window.location.search.substring(1));
var curr_page = (window.location.hash ? window.location.hash.substring(1) : 1);
var start = (curr_page - 1) * 10;
var end = 0;
var pageloads = 0;
var loading = true;
var pages = 1;

$(function() {
	$('#articlewrapper').empty()
		.css('display','block')
		.append('<div id="resultslist">'
		+ '<div class="loading"></div>'
		+ '</div>'
		+ '<div class="row searchnav" style="text-align:center">'
		+ '<div class="btn-group">'
		+ '<a class="btn pag-prev disabled"><i class="icon-chevron-left"></i></a>'
		+ '<a class="pag-num btn disabled" href="#"><strong>1 of 1</strong></a>'
		+ '<a class="btn pag-next disabled"><i class="icon-chevron-right"></i></a>'
		+ '</div></div>');	
	$('#searchbox').val(s);
	// Get index of filenames
	DoSearch(s,start);
});

function Pag(dir) {
	curr_page = parseInt((curr_page + dir), 10);
	window.scrollTo(0, 0);
	DisplayResults((curr_page-1) * 10);
}

function DoSearch(query,start) {
	// Ajax post to 'dosearch.php' which searches the searchstring and returns a JSON array paths to each xml file that has matches to the search terms, in order of relevance.
	$.ajax({
		type: "POST",
		url: "search/search_index.php",
		data: {query: query, start: start},
		dataType: 'json',
		success: function(json){
			var uniques = [];
			$.each(json, function(i, el){
				if($.inArray(el, uniques) === -1) uniques.push(el);
			});
			window.searchresults = uniques;
			if (json.length == 0) {
				$('#resultslist').empty();
				$('#resultslist').append('<p>No search result</p>');
			} else {
				DisplayResults(start);
			}
		}
	});

}

function DisplayResults(start) {
	// Puts the searchresults into a local variable, creates pointers that will iterate through 10 or less search results (depending on how many search results have yet to be displayed
	// For each search result, the function calls 'GetDoc' which sends the document pointer and the callback function 'GetB', and returns an array
	var json = window.searchresults;
	$('#resultslist').empty();
	var c = window.searchresults.length;
	var res_a = (curr_page * 10) - 9;
	var res_b = ((curr_page * 10) > c) ? c : (curr_page * 10);
	$('#resultslist').append('<div id="resultinfo">' + c + ' search results for \'' + s + '\'<span id="pageinfo" style="float:right">Displaying results ' + res_a + ' to ' + res_b + '</span></div><hr/>');
	pages = Math.ceil(c/10);
	if (curr_page > pages) {
		window.location = location.protocol+'//'+location.host+location.pathname+window.location.search; //Incase someone navigates to the searchpage using a hash that is beyond the scope of the search results
	} else {
		window.location.hash = curr_page;
	}
	$('.pag-num').html('<strong>' + curr_page + ' of ' + pages + '</strong>');
	
	if (curr_page == 1) {
		if (!$('.pag-prev').hasClass('disabled')) $('.pag-prev').addClass('disabled').off('mousedown');
	}
	if (curr_page != 1) {
		if ($('.pag-prev').hasClass('disabled')) $('.pag-prev').removeClass('disabled').on('mousedown',function() {
			Pag(-1);
		});
	}
	if (curr_page == pages) {
		if (!$('.pag-next').hasClass('disabled')) $('.pag-next').addClass('disabled').off('mousedown');
	}
	if (curr_page != pages) {
		if ($('.pag-next').hasClass('disabled')) $('.pag-next').removeClass('disabled').on('mousedown',function() {
			Pag(1);
		});
	}
	
	if (json.length < (start + 10)) {
		end = json.length;
	} else {
		end = 10 + start;
	}
	
	GetDoc(start, GetB);

}

function GetDoc(i, callback) {
	// Gets the current search result xml file path and does an ajax GET request. On success, this returns the path of the html document that is generated by the xslt processor
	var arr = new Array();
	url = window.searchresults[i];
	var s = url.lastIndexOf("/") + 1;
	var e = url.lastIndexOf(".") - s;
	arr['htdoc'] = url.substr(s,e) + '.html';
	$.get(arr['htdoc'], function(html) {
		arr['title'] = $(html).find('#article-title').html();
		console.log(arr['title']);
		callback(arr, i, AddElement);
	});

}
// Gets the document's breadcrumbs
function GetB(arr, i, callback) {

	$.get(arr['htdoc'], function(htmldoc) {
		arr['breadcrumbs'] = $(htmldoc).find('.breadcrumbs').html();
		var textcontent = $(htmldoc).find('#articlewrapper p:not(.contents-bh)').map(function() {
			return $.text([this]);
		}).get().join(" ");
		textcontent = textcontent.replace(/\s/g, ' ').substring(0,250).concat('...');
		arr['content'] = textcontent;
		callback(arr, i);
	});

}

function AddElement(arr, i) {

	$('#resultslist').append('<div id="r' + i + '" class="result"><a href="' + arr['htdoc'] + '" target="_blank"><h4>' + arr['title'] + '</h4></a></div>');
	$('#r' + i).append('<div class="breadcrumbs results_breadcrumbs" style="font-size:0.9em;">' + arr['breadcrumbs'] + '</div>');
	$('.breadcrumbs > .span12').css('margin-left','0px').css('margin-right','30px');
	$('#r' + i).append('<p class="searchcontent">' + arr['content'] + '</p><br/>');
	//var t = setTimeout(function() {
		if ($('#resultinfo').css('display') == 'none') {
			$('#resultinfo').fadeIn(200);
		}
		if (loading) {
			$('.loading').remove();
			loading = false;
		}
		$('#r' + i).fadeIn(500);
		if (pageloads > 1) {
			var y = $(window).scrollTop();
			$(window).scrollTop(y+5);
		}
	//}, 200);
	if (i == (end-1)) {
		start = end;
		$('#resultslist').append('<div id="scrollfind"></div>');
		pageloads += 1;
	} else {
		j = i + 1;
		GetDoc(j, GetB);
	}

}


function isScrolledIntoView(elem) {
    var docViewTop = $(window).scrollTop();
    var docViewBottom = docViewTop + $(window).height();

    var elemTop = $(elem).offset().top;
    var elemBottom = elemTop + $(elem).height();

    return ((elemBottom <= docViewBottom) && (elemTop >= docViewTop));
}



