#!/usr/bin/perl
#
# Object:    vcmGetDtMod/pl
# Component: vcmGetDtMod.pl
#
# vcmGetDtMod.pl
# Copyright 2001 George James Software Limited
#
# Usage:
#  vcmGetDtMod.pl filename
# Inputs:
#  filename = name of file to get modificatiuon date/time for (with path)
# Outputs:
#  STDOUT = modification date/time in ccyymmddhhmmss format

# This is what it does:
# Read the last modified date/time stamp for a file

use strict;
use Time::Local;

my ($fileName,$year,$month,$day,$hours,$minutes,$seconds,$time);
my ($dev,$ino,$mode,$nlink,$uid,$gid,$rdev,$size,$atime,$mtime,$ctime,$blksize,$blocks);

$fileName = @ARGV[0];

# Get file stats (actually only interested in $mtime)
($dev,$ino,$mode,$nlink,$uid,$gid,$rdev,$size,$atime,$mtime,$ctime,$blksize,$blocks)=stat($fileName);

($seconds,$minutes,$hours,$day,$month,$year)=localtime($mtime);
$year=1900+$year;
$month=$month+1;
$month=substr(100+$month,1,2);
$day=substr(100+$day,1,2);
$hours=substr(100+$hours,1,2);
$minutes=substr(100+$minutes,1,2);
$seconds=substr(100+$seconds,1,2);
print $year,$month,$day,$hours,$minutes,$seconds;

# Done
