#!/usr/bin/perl
#
# Object:    vcmPutDtMod/pl
# Component: vcmPutDtMod.pl
#
# vcmPutDtMod.pl
# Copyright 2001 George James Software Limited
#
# Usage:
#  vcmPutDtMod.pl filename dtModify
# Inputs:
#  filename = name of file to touch (with path)
#  dtModify = modification date/time in ccyymmddhhmmss format

# This is what it does:
# Set the last modified (and last access) date/time stamp for a file

use strict;
use Time::Local;

my ($fileName,$modificationDateTime,$year,$month,$day,$hours,$minutes,$seconds,$time);

$fileName = @ARGV[0];
$modificationDateTime = @ARGV[1];
$year=substr($modificationDateTime,0,4);
$month=substr($modificationDateTime,4,2);
$day=substr($modificationDateTime,6,2);
$hours=substr($modificationDateTime,8,2);
$minutes=substr($modificationDateTime,10,2);
$seconds=substr($modificationDateTime,12,2);

# NB Months are zero based - January=0, Deceumber=11
$time=timelocal($seconds,$minutes,$hours,$day,($month-1),$year);
utime $time, $time, $fileName;

# Done
